<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             width="100%"
             id="modelosDeUnidadesDeConstruccionPanelGrid">

    <p:messages id="msgModelos" showDetail="false" globalOnly="false" />

    <p:dataTable var="modeloUnidadDeConstruccion"
                 value="#{managedBeanParam.listModelosUnidadDeConstruccion}"
                 id="tablaModelosUnidadDeConstruccion"
                 rowKey="#{modeloUnidadDeConstruccion.id}"
                 selection="#{managedBeanParam.modeloUnidadDeConstruccionSeleccionado}"
                 paginator="true" rows="5"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                 emptyMessage="No existen tipos de modelos de construcción a mostrar"
                 selectionMode="single">

        <p:ajax event="rowSelect"
                listener="#{proyectarConservacion.onSelectModeloRow}"
                update=":tabView1:gestionDetalleAvaluoForm" />

        <p:ajax event="rowUnselect"
                listener="#{proyectarConservacion.onUnselectModeloRow}"
                update=":tabView1:gestionDetalleAvaluoForm" />

        <p:column headerText="Acciones" rendered="#{!managedBeanParam.tramite.quintaMasivo}">
            <p:commandButton
                oncomplete="tablaUnidadesDelModeloDeConstruccionWV.show()"
                update=":tablaUnidadesDelModeloDeConstruccionForm" rendered="#{editable or
                                                                               entradaProyeccion.tramite.englobeVirtual}"
                action="#{managedBeanParam.cargarModeloDeConstruccion}"
                process="@this" id="modificarModeloDeConstruccionBtn"
                icon="ui-icon ui-icon-pencil" title="Editar">
                <f:setPropertyActionListener value="#{modeloUnidadDeConstruccion}"
                                             target="#{managedBeanParam.modeloUnidadDeConstruccionSeleccionado}" />

                <f:setPropertyActionListener value="true"
                                             target="#{managedBeanParam.editModeloBool}" />
            </p:commandButton>

            <p:commandButton id="eliminarModeloDeConstruccionBtn" process="@this" rendered="#{editable or
                                                                                              entradaProyeccion.tramite.englobeVirtual}"
                             update=":tabView1:gestionarFichaMatrizForm:tablaModelosUnidadDeConstruccion"
                             oncomplete="handleCompleteSIC(xhr, status,args, confirmEliminarModeloUCWV, true);"
                             icon="ui-icon-trash" title="Eliminar">
                <f:setPropertyActionListener value="#{modeloUnidadDeConstruccion}"
                                             target="#{managedBeanParam.modeloUnidadDeConstruccionSeleccionado}" />
            </p:commandButton>

            <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                            height="13" width="13"
                            rendered="#{modeloUnidadDeConstruccion.cancelaInscribe=='C'}"
                            title="Cancelado #{modeloUnidadDeConstruccion.id}" />
            <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13"
                            width="13" rendered="#{modeloUnidadDeConstruccion.cancelaInscribe=='I'}"
                            title="Inscrito #{modeloUnidadDeConstruccion.id}" />
            <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                            height="13" width="13"
                            rendered="#{modeloUnidadDeConstruccion.cancelaInscribe=='M'}"
                            title="Asociado/Modificado #{modeloUnidadDeConstruccion.id}" />

        </p:column>

        <p:column headerText="Tipo de modelo">
            <h:outputText value="#{modeloUnidadDeConstruccion.nombre}"
                          styleClass="outputTextStyle" />
        </p:column>

        <p:column headerText="Detalle">
            <p:commandButton title="Detalle" icon="ui-icon-search"
                             process="@this" id="detalleUnidadDelModeloBtn"
                             action="#{managedBeanParam.cargarModeloDeConstruccion}"
                             update=":detalleTablaUnidadesDelModeloForm"
                             oncomplete="detalleTablaUnidadesDelModeloDeConstruccionWV.show()">
                <f:setPropertyActionListener value="#{modeloUnidadDeConstruccion}"
                                             target="#{managedBeanParam.modeloUnidadDeConstruccionSeleccionado}" />
            </p:commandButton>
        </p:column>

    </p:dataTable>
    <p:spacer height="5" width="5" />

    <h:panelGrid columns="3">
        <p:commandButton value="Adicionar" 
                         rendered="#{(editable and !managedBeanParam.tramite.tercera) or
                                     entradaProyeccion.tramite.terceraMasiva or
                                     entradaProyeccion.tramite.englobeVirtual}"
                         oncomplete="tablaUnidadesDelModeloDeConstruccionWV.show()"
                         update=":tablaUnidadesDelModeloDeConstruccionForm" disabled="#{rc.dh and !managedBeanParam.tramite.desenglobeEtapas}" 
                         action="#{managedBeanParam.setupAdicionModeloNuevo}" process="@this"
                         id="adicionarModeloUCBtn" icon="ui-icon-plus"
                         title="Adicionar modelo de contrucción">
            <f:setPropertyActionListener value="false"
                                         target="#{managedBeanParam.editModeloBool}" />
        </p:commandButton>

        <p:spacer height="5" width="5" rendered="#{!managedBeanParam.tramite.terceraMasiva}" />

        <p:commandButton value="Asociar unidades del modelo"
                         rendered="#{(managedBeanParam.activeAsociarUnidadesBool or  managedBeanParam.tramite.tercera) and (not managedBeanParam.tramite.segundaDesenglobe)
                                     and !managedBeanParam.tramite.terceraMasiva}"
                         update=":tabView1:gestionDetalleAvaluoForm" disabled="#{rc.dh}"
                         oncomplete="visualizacionModelosDeConstruccionWV.hide()"
                         action="#{managedBeanParam.asociarUnidadesDelModelo}" process="@this"
                         id="asociarUnidadesBtn" icon="ui-icon-transferthick-e-w"
                         title="Asociar unidades del modelo de construcción">
            <f:setPropertyActionListener value="false"
                                         target="#{managedBeanParam.editModeloBool}" />
        </p:commandButton>

        <p:spacer height="5" width="5" rendered="#{managedBeanParam.tramite.terceraMasiva}" />

        <p:commandButton value="Asociar unidades del modelo"
                         rendered="#{managedBeanParam.tramite.terceraMasiva and !esSeccionFichaMatriz}"
                         update=":tabView1:gestionDetalleAvaluoForm, :msgsGS" disabled="#{rc.dh}"
                         oncomplete="visualizacionModelosDeConstruccionWV.hide()"
                         action="#{managedBeanParam.asociarUnidadesDelModeloTerceraMasiva}" process="@this"
                         id="asociarUnidadesTerceraMasivaBtn" icon="ui-icon-transferthick-e-w"
                         title="Asociar unidades del modelo de construcción tercera masiva">
            <f:setPropertyActionListener value="false"
                                         target="#{managedBeanParam.editModeloBool}" />
        </p:commandButton>
    </h:panelGrid>

</h:panelGrid>